
/* 
 * Copyright (C) 2007  Anders Nilsson <anders.nilsson@cs.lth.se>
 *
 * This file is part of OntologyCompiler.
 */

import AST.*;
import java.io.*;
import java.net.*;

public class GeometryDemo extends Parser {
    public static Start getAST(String ontologyURL) {
	Start ast = null;
	// 		String outfile = null;
	// 		int i=0;
	// 		for (i=0; i<args.length; i++) {
	// 			if (args[i].equals("-o")) {
	// 				outfile = args[++i];
	//                 if (outfile.endsWith(".owl")) {
	//                   outfile = outfile.substring(0,outfile.indexOf('.'));
	//                 }
	// 			}
	// 		}
	try {
	    Reader r = new FileReader(new URL(ontologyURL).getFile());
	    SiarasParser parser = new SiarasParser(r);

	    ast = parser.Start();
            ast.traverseAST();
	} catch (ParseException e) {
	    System.out.println(e.getMessage());
	}
	catch (MalformedURLException e) {
	    System.out.println(e.getMessage());
	}
	catch (FileNotFoundException e) {
	    System.err.println("file " + ontologyURL + " not found");
	}
        return ast;

    }



    public static void main(String[] args) {
        Console con = System.console();     	
	
	con.readLine("\n\nParse ontology from file: %s",(Object) args[0]);

        Start ast = getAST(args[0]);
	
	con.readLine("\n\nFind the Teapot instance");

        Product p = (Product) ast.getIndividual("Teapot_1");
 	p.dumpTree("",System.out);
// 	p.prettyPrint("",System.out);

	con.readLine("\n\nFind the geometry reference");

	String s = p.getGeometryRef();
	System.out.println("Geometry model: "+s);
    }
}
