
/* 
 * Copyright (C) 2006  Anders Nilsson <anders.nilsson@cs.lth.se>
 *
 * This file is part of OntologyCompiler.
 */

import AST.Start;
import AST.SiarasParser;
import AST.ParseException;
import java.io.*;
import java.net.*;

public class Ontology extends Parser {
	public static Start getAST(String ontologyURL) {
		Start ast = null;
// 		String outfile = null;
// 		int i=0;
// 		for (i=0; i<args.length; i++) {
// 			if (args[i].equals("-o")) {
// 				outfile = args[++i];
//                 if (outfile.endsWith(".owl")) {
//                   outfile = outfile.substring(0,outfile.indexOf('.'));
//                 }
// 			}
// 		}
		try {
			Reader r = new FileReader(new URL(ontologyURL).getFile());
			SiarasParser parser = new SiarasParser(r);

			ast = parser.Start();
            ast.traverseAST();
		} catch (ParseException e) {
			System.out.println(e.getMessage());
		}
		catch (MalformedURLException e) {
			System.out.println(e.getMessage());
		}
		catch (FileNotFoundException e) {
			System.err.println("file " + ontologyURL + " not found");
		}
        return ast;

// 		try {
// 			// Generate OWL ontology, possibly transformed from Owl
// 			// Full to OWL DL
// 			if (outfile == null) {
// 				outfile = "ontology";
// 			}
// 			PrintStream pStream = new PrintStream(new File(outfile+".owl"));
// 			ast.genOntology("",pStream);
//             // have to create a matching repository file, otherwise
//             // Protege will complain severely.
// 			pStream = new PrintStream(new File(outfile+".repository"));
//             pStream.println("[Dublin Core DL Redirect]");
// 		} catch (java.io.FileNotFoundException e) {
// 			System.out.println("Could not create file: "+outfile);
// 			e.printStackTrace();
// 		}
	}

    public static void main(String[] args) {
        Start ast = getAST(args[0]);
        ast.getIndividual("ABB_IRB-140").dumpTree("",System.out);
    }
}
